Subject: Re: [PATCH -next] acpi: fix acpi_bus.h warnings when ACPI is not enabled

From: Len Brown <[email-masked]>
Date: Mon, 04 Jun 2012 00:32:12 -0400

Hi Randy,
with your patch applied and CONFIG_ACPI=n, I still get:

include/acpi/acpi_bus.h:445:12: warning: ‘register_acpi_bus_type’ defined but not used [-Wunused-function]
include/acpi/acpi_bus.h:446:12: warning: ‘unregister_acpi_bus_type’ defined but not used [-Wunused-function]

so I think I prefer the patch below.

thanks,
Len Brown, Intel Open Source Technology Center

On 05/23/2012 12:14 PM, Randy Dunlap wrote:

> From: Randy Dunlap <[email-masked]>
> 
> Fix header file warnings when CONFIG_ACPI is not enabled:
> 
> include/acpi/acpi_bus.h:443:42: warning: 'struct acpi_bus_type' declared inside parameter list
> include/acpi/acpi_bus.h:443:42: warning: its scope is only this definition or declaration, which is probably not what you want
> include/acpi/acpi_bus.h:444:44: warning: 'struct acpi_bus_type' declared inside parameter list
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
> ---
>  include/acpi/acpi_bus.h |    2 ++
>  1 file changed, 2 insertions(+)
> 
> --- linux-next-20120523.orig/include/acpi/acpi_bus.h
> +++ linux-next-20120523/include/acpi/acpi_bus.h
> @@ -440,6 +440,8 @@ static inline int acpi_pm_device_sleep_w
>  
>  #else	/* CONFIG_ACPI */
>  
> +struct acpi_bus_type;
> +
>  static int register_acpi_bus_type(struct acpi_bus_type *bus) { return 0; }
>  static int unregister_acpi_bus_type(struct acpi_bus_type *bus) { return 0; }
>  

Subject: [PATCH] ACPI: fix acpi_bus.h build warnings when ACPI is not enabled

introduced in Linux-3.5-rc1 by
66886d6f8c9bcdee3d7fce5796dcffd6b4bc0b48
(ACPI: Add stubs for (un)register_acpi_bus_type)

Fix header file warnings when CONFIG_ACPI is not enabled:

include/acpi/acpi_bus.h:443:42: warning: 'struct acpi_bus_type' declared inside parameter list
include/acpi/acpi_bus.h:443:42: warning: its scope is only this definition or declaration, which is probably not
include/acpi/acpi_bus.h:444:44: warning: 'struct acpi_bus_type' declared inside parameter list

Signed-off-by: Len Brown <[email-masked]>
---
 include/acpi/acpi_bus.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/include/acpi/acpi_bus.h b/include/acpi/acpi_bus.h
index b0d6282..9e6e1c6 100644
--- a/include/acpi/acpi_bus.h
+++ b/include/acpi/acpi_bus.h
@@ -440,8 +440,8 @@ static inline int acpi_pm_device_sleep_wake(struct device *dev, bool enable)
 
 #else	/* CONFIG_ACPI */
 
-static int register_acpi_bus_type(struct acpi_bus_type *bus) { return 0; }
-static int unregister_acpi_bus_type(struct acpi_bus_type *bus) { return 0; }
+static inline int register_acpi_bus_type(void *bus) { return 0; }
+static inline int unregister_acpi_bus_type(void *bus) { return 0; }
 
 #endif				/* CONFIG_ACPI */
 
-- 
1.7.11.rc0.100.g5498c5f